Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Buckminster dev » cquery for indigo-maintenance branch - errors during resolve phase
cquery for indigo-maintenance branch - errors during resolve phase [message #916542] Wed, 19 September 2012 06:27 Go to next message
Eric McKenzie is currently offline Eric McKenzie
Messages: 3
Registered: September 2012
Junior Member
I am interested in developing a custom extension targeting Eclipse 3.7.2, as some of the tooling in my development stack doesn't yet work under Eclipse 4.2, and it's not clear when it will.

I am following the recently updated (14 September 2012 - thanks, Thomas!) instructions here http://wiki.eclipse.org/Extending_or_Contributing_to_Buckminster, except that I switched to the indigo-maintenance branch before importing the org.eclipse.buckminster.releng project.

I'm assuming for now that that was the right thing to do.

There are a variety of errors that show up when resolving the cquery; for example:

Errors and Warnings
E [0003] : No suitable provider for component com.mountainminds.eclemma.core:osgi.bundle/[1.4.2,1.4.3) was found in resourceMap file:/E:/wspc-buckminster-indigo/buckminster/org.eclipse.buckminster.releng/build.rmap
E   [0003] : No suitable provider for component com.mountainminds.eclemma.core:osgi.bundle/[1.4.2,1.4.3) was found in searchPath emma
E     [0003] : Resolution attempt ended with exception: Forbidden: Forbidden

Errors and Warnings
E [0006] : No suitable provider for component net.java.dev.jna:osgi.bundle was found in resourceMap file:/E:/wspc-buckminster-indigo/buckminster/org.eclipse.buckminster.releng/build.rmap
E   [0006] : No suitable provider for component net.java.dev.jna:osgi.bundle was found in searchPath platform
E     [0006] : Rejecting provider p2({0}/eclipse/updates/3.7/R-3.7.2-201202080800[http://download.eclipse.org/eclipse/updates/3.7/R-3.7.2-201202080800]): No component match was found
E   [0006] : No suitable provider for component net.java.dev.jna:osgi.bundle was found in searchPath indigo
E     [0006] : Rejecting provider p2({0}/releases/indigo/201202240900[http://download.eclipse.org/releases/indigo/201202240900]): No component match was found
E   [0006] : No suitable provider for component net.java.dev.jna:osgi.bundle was found in searchPath orbit
E     [0006] : Rejecting provider p2({0}/tools/orbit/downloads/drops/R20120119162704/repository[http://download.eclipse.org/tools/orbit/downloads/drops/R20120119162704/repository]): No component match was found

It seems that the RMAP for this branch is out of date; any way we can get it updated?
Re: cquery for indigo-maintenance branch - errors during resolve phase [message #916558 is a reply to message #916542] Wed, 19 September 2012 06:52 Go to previous message
Thomas Hallgren is currently offline Thomas Hallgren
Messages: 3229
Registered: July 2009
Senior Member
On 2012-09-19 08:27, Eric McKenzie wrote:
> I am interested in developing a custom extension targeting Eclipse 3.7.2, as some of the tooling in my development stack
> doesn't yet work under Eclipse 4.2, and it's not clear when it will.
>
You are aware though, that there's nothing stopping you from developing 3.7.2 targeted extensions using a more recent
IDE or a more recent Buckminster? The target is all in the target platform (hence the name). The version of the tooling
used for building using that target shouldn't matter.

> ... No component match was found
>
> It seems that the RMAP for this branch is out of date; any way we can get it updated?
>
Enter a bugzilla and provide a patch.

- thomas
Previous Topic:[buckminster-dev] Project meta data is out of date for tools.buckminster
Next Topic:[buckminster-dev] Project meta data is out of date for tools.buckminster
Goto Forum:
  


Current Time: Fri Oct 24 18:53:44 GMT 2014

Powered by FUDForum. Page generated in 0.02506 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software